Bug 250312

Summary: net/rclone: update to 1.53.2
Product: Ports & Packages Reporter: Ralf van der Enden <tremere>
Component: Individual Port(s)Assignee: Mikael Urankar <mikael>
Status: Closed FIXED    
Severity: Affects Only Me CC: mikael, tremere
Priority: --- Flags: bugzilla: maintainer-feedback? (wg)
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://rclone.org/changelog/#v1-53-2-2020-10-26
Attachments:
Description Flags
Update to rclone 1.53.1
none
Update to rclone 1.53.1 (fetch downloads all necessary modules now)
none
Update rclone to 1.53.2 tremere: maintainer-approval?

Description Ralf van der Enden 2020-10-13 06:43:16 UTC
Created attachment 218707 [details]
Update to rclone 1.53.1

Since 1.53.0, upstream removed the vendor directory, which requires a different way to build this package. It downloads all the modules, which requires ca_root_nss to validate the SSL certificates. Also, it no longer requires USES=go:modules (due to vendor dir removal), but just USES=go now.
Comment 1 Ralf van der Enden 2020-10-20 17:10:28 UTC
Created attachment 218925 [details]
Update to rclone 1.53.1 (fetch downloads all necessary modules now)


Download all modules during fetch phase, since pkg buildboxes don't have internet access.

This patch builds and runs fine in poudriere on 12.1-amd64
Comment 2 Ralf van der Enden 2020-11-03 08:00:41 UTC
Created attachment 219319 [details]
Update rclone to 1.53.2


Tested the issue from #250695 in my poudriere jail without curl installed and it seems to work just fine.
Comment 3 Ralf van der Enden 2020-11-03 08:01:20 UTC
Sorry. Forgot to make my previous patch obsolete.
Comment 4 commit-hook freebsd_committer 2020-11-07 15:27:39 UTC
A commit references this bug:

Author: mikael
Date: Sat Nov  7 15:26:40 UTC 2020
New revision: 554396
URL: https://svnweb.freebsd.org/changeset/ports/554396

Log:
  net/rclone: update to 1.53.2

  PR:		250312
  Submitted by:	Ralf van der Enden <tremere@cainites.net>
  Approved by:	wg (maintainer timeout)

Changes:
  head/net/rclone/Makefile
  head/net/rclone/distinfo
Comment 5 Mikael Urankar freebsd_committer 2020-11-07 15:28:22 UTC
Thanks!